Bug 438024 - Review Request: freeimage - Multi-format image decoder library
Review Request: freeimage - Multi-format image decoder library
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
Depends On:
Blocks: 435399
  Show dependency treegraph
Reported: 2008-03-18 14:32 EDT by Hans de Goede
Modified: 2014-05-19 15:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-27 08:39:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2008-03-18 14:32:33 EDT
Spec URL: http://people.atrpms.net/~hdegoede/freeimage.spec
SRPM URL: http://people.atrpms.net/~hdegoede/freeimage-3.10.0-1.fc9.src.rpm
FreeImage is a library for developers who would like to support popular
graphics image formats like PNG, BMP, JPEG, TIFF and others as needed by
today's multimedia applications.
Comment 1 Peter Lemenkov 2008-03-19 09:17:55 EDT
I'll review it.
Comment 2 Peter Lemenkov 2008-03-25 17:06:56 EDT

+ rpmlint is silent.
+ The package named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package licensed with a Fedora approved license and meet the Licensing
+ The License field in the package spec matches the actual license.
+ The spec file written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package must matches the upstream source.

[petro@Sulaco SOURCES]$ md5sum FreeImage3100.zip*
2e57135e26bb487cc8e13ee7b7e0a595  FreeImage3100.zip
2e57135e26bb487cc8e13ee7b7e0a595  FreeImage3100.zip.1
[petro@Sulaco SOURCES]$ 

+ The package must successfully compiles and builds into binary rpms on ppc
+ All build dependencies listed in BuildRequires.
+ Every binary RPM package which stores shared library files (not just symlinks)
in any of the dynamic linker's default paths, must call ldconfig in %post and
%postun. If the package has multiple subpackages with libraries, each subpackage
should also have a %post/%postun section that calls /sbin/ldconfig. An example
of the correct syntax for this is: 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

+ A package owns all directories that it creates.
+ A package does not contain any duplicate files in the %files listing.
+ Permissions on files are set properly.
+ Package has a %clean section, which contains rm -rf %{buildroot} (or
+ Each package must consistently use macros, as described in the macros section
of Packaging Guidelines.
+ The package contain code, or permissable content.
+ If a package includes something as %doc, it must not affect the runtime of the
+ Header files are in a -devel package.
+ If a package contains library files with a suffix (e.g. libfoo.so.1.1), then
library files that end in .so (without suffix) must go in a -devel package.
+ In the vast majority of cases, devel packages must require the base package
using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
+ Packages does NOT contain any .la libtool archives.
+ Packages does not own files or directories already owned by other packages.
+ At the beginning of %install, package run rm -rf %{buildroot} (or
+ All filenames in rpm packages are valid UTF-8.

Comment 3 Hans de Goede 2008-03-25 18:25:11 EDT
Thanks for the review!

New Package CVS Request
Package Name:      freeimage
Short Description: Multi-format image decoder library
Owners:            jwrdegoede
Branches:          F-8
Cvsextras Commits: Yes
Comment 4 Kevin Fenzi 2008-03-26 12:04:32 EDT
cvs done.
Comment 5 Hans de Goede 2008-03-27 08:39:34 EDT
Imported and build, closing.
Comment 6 Richard Shaw 2012-07-05 17:22:49 EDT
Package Change Request
Package Name: freeimage
New Branches: el6
Owners: hobbes1069 zultron

Need for FreeCAD in RPM Fusion.
Comment 7 Jon Ciesla 2012-07-06 09:09:46 EDT
Git done (by process-git-requests).
Comment 8 Richard Shaw 2014-05-19 14:44:33 EDT
Package Change Request
Package Name: freeimage
New Branches: epel7
Owners: hobbes1069 zultron
Comment 9 Jon Ciesla 2014-05-19 15:28:13 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.